#include <stdbool.h>
#ifndef FOGADAS_H
#define FOGADAS_H

typedef struct fogadas {
	int sorszam;
	HivasElem* hivas;
	Ido fogad;
	int hossz;
	struct fogadas* kov;
	} Fogadas;

	typedef struct FogadottLista{
	  Fogadas* eleje;
	  HivasLista* napi;
	}FogadottLista;

Fogadas* ujfogadas(HivasElem* h, Ido fogad);
void torolfogadas(Fogadas* f);

FogadottLista* ujfogadottlista(HivasLista* n);
void torol_fogadottlista(FogadottLista* f);
FogadottLista* fogadott_kigyujt(FogadottLista* f);

void utolso(FogadottLista* f);

void fogadott_kiir(FogadottLista* f);

void szabadido(FogadottLista* f);

#endif // FOGADAS_H
