#ifndef HIVASLISTA_H
#define HIVASLISTA_H

typedef struct HivasElem{
  Hivas hiv;
  struct HivasElem* kov;
}HivasElem;

typedef struct HivasLista {
	HivasElem* munkaelott; //automatikus foglalt jelzés munkaido kezdetéig
	HivasElem* munkautan;  //automatikus foglalt jelzés munkaido után
	} HivasLista;


/*lista elejére és végére listaelem beszúrása, amit nem használok,
mert vagy nincs kész listaelem (strázsák) vagy nem a végekre kell beszúrni*/
HivasElem* listaelejere(HivasElem* hivaslista, HivasElem* h);
void listahoz(HivasElem* hivaslista, HivasElem* h);

void torolhivas(HivasElem* h);

HivasLista* ujnaplista(HivasElem* munkakezdig, HivasElem* munkavegtol);
void torol_napilista(HivasLista* napilista);
void listainput(HivasLista* napilista, FILE* input);

/*3-7. feladat*/
void orankent(HivasLista* napilista);
void maxhivashossz(HivasLista* napilista);
void beszelo(HivasLista* napilista);

#endif // HIVASLISTA_H
